> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Holiday Calendar



## OpenAPI

````yaml GET /schedule/v1/holiday-calendar/{holidayCalendarId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/holiday-calendar/{holidayCalendarId}:
    get:
      tags:
        - Holiday Calendars
      summary: List Holiday Calendar
      operationId: ListHolidayCalendar
      parameters:
        - in: path
          name: holidayCalendarId
          description: Holiday Calendar Id
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          description: Limit results
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        example: 37acce51-a7e3-498d-b235-5ae8f8682078
                      name:
                        type: string
                        example: Zona Valencia
                        description: The name of the holidays
                      companyId:
                        type: string
                        format: uuid
                        example: 37acce51-a7e3-498d-b235-5ae8f8682078
                      dayOff:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 15547588-2e7e-4ac2-8f8a-3dce978065ba
                            name:
                              type: string
                              example: New Year's Day
                            date:
                              type: string
                              example: '2021-01-01'
                              format: Y-m-d
                      typeId:
                        type: string
                        format: uuid
                        example: 37acce51-a7e3-498d-b235-5ae8f8682078
                      default:
                        type: boolean
                        example: false
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````